Delete Row(s)

Deletes one or multiple rows from the table, identified by its row id no matter if the row is stored in big data or normal backend.

❗

Limits

  • Maximum: 10,000 row IDs per call. Larger requests are rejected with 413 and no rows are deleted. Split larger amounts into multiple calls.

See Limits for details.

Path Params
string
required
^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$

The unique identifier of a base. Sometimes also called dtable_uuid.

Body Params

delete multiple rows

string
required

The name of the table to perform the operation on. Alternatively, you can use the table_id instead of table_name. If using table_id, ensure that the key in the request body is replaced accordingly.

row_ids
array of objects
required
length ≤ 10000

Defines the rows which should be deleted. Maximum 10,000 row IDs per call.

row_ids*
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json